use serde::Deserialize;

#[derive(Deserialize, Debug)]
pub struct ConfigOpenUi {
    pub ui: String,
    pub args: i32,
    pub store_template_id: i32,
}

impl ConfigOpenUi {
    pub fn to_protocol(&self) -> ::proto::ActionOpenUi {
        ::proto::ActionOpenUi {
            ui: self.ui.clone(),
            args: self.args,
            store_template_id: self.store_template_id,
            ..Default::default()
        }
    }
}
